## osmo-trx 0~20150325gitf147b17%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1


export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf --parallel



override_dh_auto_clean:
	$(RM) -f sqlite3/Makefile
	dh_auto_clean


override_dh_auto_configure:
	dh_auto_configure

override_dh_auto_test:
	dh_auto_test
	./debian/autotest/autotest

## osmo-trx 0.1.9.20170825

=== utils/convolvetest/Makefile ===
all: main.o convolve_base.o convolve.o convolve_sse_3.o
	gcc -g -Wall ./*.o -o convtest -losmocore

clean:
	rm -f ./*.o
	rm -f ./convtest

main.o: main.c
	gcc -g -Wall -c main.c

convolve_base.o: ../../Transceiver52M/common/convolve_base.c
	gcc -std=c99 -c ../../Transceiver52M/common/convolve_base.c

convolve.o: ../../Transceiver52M/x86/convolve.c
	gcc -std=c99 -c ../../Transceiver52M/x86/convolve.c -I ../../Transceiver52M/common/ -msse3 -DHAVE_SSE3

convolve_sse_3.o: ../../Transceiver52M/x86/convolve_sse_3.c
	gcc -std=c99 -c ../../Transceiver52M/x86/convolve_sse_3.c -I ../../Transceiver52M/common/ -msse3 -DHAVE_SSE3

## osmo-trx 0~20150325gitf147b17+dfsg

=== debian/changelog ===
osmo-trx (0~20150325gitf147b17+dfsg-3) unstable; urgency=medium

  * Uploaded to unstable
  * debian/osmo-trx.1: Fix small formatting problem

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 27 Oct 2015 07:49:13 +0100

osmo-trx (0~20150325gitf147b17+dfsg-3~exp1) experimental; urgency=medium

  * debian/control:
    - Remove --without-sse again.
  * debian/patches/02_no_march_native.patch:
    - Instead add only SSE options to CFLAGS 

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 23 Oct 2015 20:35:21 +0200

osmo-trx (0~20150325gitf147b17+dfsg-2) unstable; urgency=medium

  * debian/patches/02_no_march_native.patch:
    - Make sure that the option -march=native is not set when building.
  * debian/control:
    - Set --without-sse to make sure that functions only supported with
      march=native are excluded.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 21 Oct 2015 07:53:00 +0200

osmo-trx (0~20150325gitf147b17+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #777303)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 13 Oct 2015 17:55:14 +0200

=== debian/control ===
Source: osmo-trx
Section: utils
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Testsuite: autopkgtest
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               pkg-config,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-dev,
               libsqlite3-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/osmo-trx.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/osmo-trx.git
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoTRX

Package: osmo-trx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://github.com/osmocom/osmo-trx/releases /osmocom/osmo-trx/archive/\w+-(\d\S+)\.tar\.(?:bz2|gz|xz)

## osmo-trx 0~20170323git2af1440+dfsg

=== debian/changelog ===
osmo-trx (0~20170323git2af1440+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild against libuhd003.010.003

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Feb 2018 01:20:37 +0000

osmo-trx (0~20170323git2af1440+dfsg-2) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: move package to debian-mobcom and change URLs
  * debian/control: change maintainer to debian-mobcom-maintainers
  * debian/control: use dh10
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: remove dbg package
  * debian/control: remove redundant dependency of dh-autoreconf
  * debian/control: add dependency on libboost-system-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Sep 2017 19:52:59 +0200

osmo-trx (0~20170323git2af1440+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * debian/control: New standards version: 4.0.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 14 Jul 2017 06:40:13 +0000

osmo-trx (0~20170323git2af1440+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version (Closes: #858594)
  * Refreshed patches. Removed patch applied upstream.
  * debian/control:
    - New standards version: 3.9.8
    - Some more build-dependencies
    - Vcs now using secure URL
  * debian/copyright:
    - Updated copyright

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 01 Apr 2017 07:37:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: osmo-trx
 Section: utils
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
+	, Thorsten Alteholz <debian@alteholz.de>
 Testsuite: autopkgtest
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                pkg-config,
                libuhd-dev,
                libusb-1.0-0-dev,
                libboost-dev,
-               libsqlite3-dev
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/osmo-trx.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/osmo-trx.git
+               libboost-system-dev,
+               libsqlite3-dev,
+               libfftw3-dev
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-mobcom/osmo-trx.git
+Vcs-Git: https://anonscm.debian.org/git/debian-mobcom/osmo-trx.git
 Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoTRX
 
 Package: osmo-trx
@@ -34,6 +37,3 @@
  3GPP is the "3rd Generation Partnership Project" which is the collaboration
  between different telecommunication associations for developing new
  generations of mobile phone networks. (post-2G/GSM)
-
-
-

## osmo-trx 0.1.9.20170825

=== debian/changelog ===
osmo-trx (0.1.9.20170825) UNRELEASED; urgency=medium

  * Snapshot build

 -- Kirill Zakharenko <earwin@gmail.com>  Fri, 25 Aug 2017 21:48:49 +0200

osmo-trx (0.1.9) trusty; urgency=medium

  * Ask Ivan, really

 -- Kirill Zakharenko <earwin@gmail.com>  Thu, 16 Jul 2015 12:13:46 +0000

osmo-trx (0.1.8) precise; urgency=low

     * Initial release (Closes: #nnnn) <nnnn is the bug number of your ITP

 -- Ivan Klyuchnikov <Ivan.Kluchnikov@fairwaves.ru>  Sun, 9 Mar 2014 14:10:10 +0400

## osmo-trx 0.2.0

=== debian/changelog ===
osmo-trx (0.2.0-2build3) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:01:51 +0000

osmo-trx (0.2.0-2build2) cosmic; urgency=medium

  * No-change rebuild for uhd soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Jun 2018 17:21:45 +0000

osmo-trx (0.2.0-2build1) cosmic; urgency=medium

  * No-change rebuild for uhd soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 May 2018 14:06:40 +0000

osmo-trx (0.2.0-2) unstable; urgency=medium

  * move to unstable
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/rules: remove --parallel from dh call

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Apr 2018 19:05:27 +0200

osmo-trx (0.2.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.1.2 (no changes)
  * debian/copyright: update

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 08 Dec 2017 19:05:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: osmo-trx
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 	, Thorsten Alteholz <debian@alteholz.de>
 Testsuite: autopkgtest
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                pkg-config,
                libuhd-dev,
                libusb-1.0-0-dev,
@@ -14,9 +13,9 @@
                libboost-system-dev,
                libsqlite3-dev,
                libfftw3-dev
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-mobcom/osmo-trx.git
-Vcs-Git: https://anonscm.debian.org/git/debian-mobcom/osmo-trx.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-trx
+Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-trx.git
 Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoTRX
 
 Package: osmo-trx

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,12 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf --parallel
-
+	dh $@ --with autoreconf
 
 
 override_dh_auto_clean:
 	$(RM) -f sqlite3/Makefile
 	dh_auto_clean
-
 
 override_dh_auto_configure:
 	dh_auto_configure

## osmo-trx 0.4.0

=== debian/changelog ===
osmo-trx (0.4.0) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Mon, 13 Aug 2018 19:51:52 +0000

osmo-trx (0.4.0) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * jenkins: use osmo-clean-workspace.sh before and after build

  [ Harald Welte ]
  * SocketsTest: Fix printing of non-nul-terminated string
  * Revert "debian: Remove osmo-trx-usrp1 until we can build libusrp1.deb"
  * debian/control: Remove "Maintainer" from binary package section
  * debian/rules: Make sure we always require libusrp
  * debian: Ensure USRP1 firmware is part of osmo-trx-usrp1
  * debian/control: Add build dependency to libusrp-dev
  * update .gitignore for new executable names
  * osmo-trx: s/GSM Core Address/GSM BTS Address/

  [ Piotr Krysik ]
  * UHDDevice.cpp: add USRP B205mini support

  [ Max ]
  * Mark release target as virtual
  * Remove outdated references to OpenBTS
  * Remove unused headers
  * Update installation instructions
  * Update legal disclaimer
  * Update license notes
  * tests: null-terminate buffer

  [ Pau Espin Pedrol ]
  * cosmetic: Remove trailing whitespace
  * Logger: Stop using Log.Alarms.Max from config
  * Logger: Stop using Log.File and Log.Level from config
  * Drop use of ConfigurationTable gConfig
  * Remove Configuration module and libsqlite dependency
  * cosmetic: AUTHORS: fix trailing whitespace
  * Set up GNU Autotest infrastructure
  * tests: InterThread: adapt to have reproducible output and enable autotest
  * tests: Timeval: adapt to have reproducible output and enable autotest
  * tests: Log: adapt to have reproducible output and enable autotest
  * Sockets.cpp: Fix initialization of UDD socket
  * tests: Sockets: adapt to have reproducible output and enable autotest
  * utils/convolvtest: Remove uneeded libosmocore dependency
  * Move ARCH_LA to Makefile.common
  * tests: Migrate convtest util to autotest infrastructure
  * arm/convert.c: Fix compilation error
  * arm/convert.c: Add missing convert_init implementation
  * .gitignore: Add missing test related files
  * Remove UDDSocket class
  * tests: SocketTests: Pick OS-assigned instead of setting one manually
  * tests: SocketsTest: Avoid hang forever if test fails
  * tests: SocketsTest: Fail test on write fail
  * tests: TimevalTest: refactor and avoid double comparison
  * contrib/jenkins.sh: Use qemu+proot+debootstrap to run tests with ARM instruction set
  * tests: convolve: Disable due to difference in output in different archs
  * Remove unneeded libdl dependency
  * Fix whitespace
  * Add support to set Rx/TxAntenna
  * UHDDevice: Initialize async_event_thrd in constructor
  * Logger: Drop unused gLogEarly
  * Logger: Remove unused logging macros
  * Logger: get rid of alarm APIs
  * Logger: Drop syslog support
  * Logger: Drop support to log into file
  * Logger: Remove unused includes
  * Logger: Remove gLogToConsole flag
  * configure.ac: Check for pkg-config
  * Depend on libosmocore
  * osmo-trx: set up signals using libosmocore helpers
  * osmo-trx: Set up talloc ctx
  * debian: Depend on libtalloc and libosmocore
  * Add initial support for logging, vty, ctrl
  * Logger: Use libosmocore logging system
  * osmo-trx.cpp: Move trx start and stop to helper functions
  * Move enums required by VTY to a separate header
  * vty: Implement VTY cfg parsing for current parameters
  * doc: Add sample cfg file for LimeSDR
  * osmo-trx: Use VTY cfg structures while still allowing cmd line options
  * osmo-trx: Re-introduce -l cmd line parameter
  * Makefile.am: Avoid using subdir if arch is not required
  * Build Transceiver52M/common as an .la lib
  * use osmo_init_logging2()
  * tests: Makefile.am: Fix typo in include path
  * configure.ac: Add --enable-sanitize option
  * Move arch specific fiels to arch subdir
  * Move device specific files to device subdir
  * Change configure define USRP1 to DEVICE_USRP1
  * Move device specific code out of radioInterface
  * Transceiver: Move device specific code to radioDevice class
  * Build one osmo-trx binary for each device support enabled
  * Logger: Print correct source file and line number
  * Transceiver: log timing info of stale bursts
  * build: Fix make distcheck
  * build: More OBS build failure fixes
  * jenkins.sh: Enable build of osmo-trx-usrp1
  * debian: Remove osmo-trx-usrp1 until we can build libusrp1.deb
  * debian: Fix OBS build
  * build: Fix OBS build for ARM
  * git-version-gen: Take into account tags not in master

  [ Alexander Huemer ]
  * Unbreak `./configure --with-usrp1` build
  * Fix USRP1 build with support for setting Rx/TxAntenna

  [ Alexander Couzens ]
  * jenkins.sh: fix the download url if the qemu image wasn't setup
  * jenkins.sh: cleanup always the workspace
  * jenkins.sh: change qemu-img default location to $HOME/qemu-img instead of /opt/qemu-img

  [ Vadim Yanitskiy ]
  * Transceiver.cpp: use a define for the MAX_PACKET_LENGTH
  * Transceiver.cpp: properly zero-terminate received commands
  * Transceiver.cpp: use pointer arithmetics for CMD parsing
  * Transceiver.cpp: fix incorrect format string for SETTSC
  * Transceiver.cpp: prevent out-of-range array access

  [ Martin Hauke ]
  * configure.ac: Fix typo

  [ Philipp Maier ]
  * doc: add example config for usrp B200 series

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 03 May 2018 16:23:29 +0200

osmo-trx (0.2.0) unstable; urgency=medium

  [ Alexander Chemeris ]
  * EDGE: Add support for UmTRX.
  * Common: Get rid of a compilation warning.
  * Common: Make sure gLogEarly() log to the same facilities as the normal log.
  * transceiver: Properly handle MAXDLY.
  * transceiver: Add an option to generate random Access Bursts.
  * osmo-trx: Output Rx SPS as a part of configuration output.
  * transceiver: Do not pass transceiver state struct to function where it's not used.
  * makefile: Fix build from an external path.
  * radioDevice: GSMRATE macro must have parentheses around its definition.
  * uhd: Fix comment.


=== debian/control ===
Source: osmo-trx
Section: net
Priority: optional
Maintainer: Ivan Klyuchnikov <ivan.kluchnikov@fairwaves.ru>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               autoconf-archive,
               pkg-config,
               dh-autoreconf,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-all-dev,
               libfftw3-dev,
               libtalloc-dev,
               libusrp-dev,
               libosmocore-dev (>= 0.10.0)
Standards-Version: 3.9.6
Vcs-Browser: http://cgit.osmocom.org/osmo-trx
Vcs-Git: git://git.osmocom.org/osmo-trx
Homepage: https://projects.osmocom.org/projects/osmotrx

Package: osmo-trx
Depends: osmo-trx-uhd
Architecture: all
Description: Metapackage for osmo-trx-uhd

Package: osmo-trx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-trx-*
 Make debugging possible

Package: osmo-trx-uhd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-usrp1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_configure:
	dh_auto_configure -- --with-uhd --with-usrp1

override_dh_strip:
	dh_strip --dbg-package=osmo-trx-dbg

## osmo-trx 1.0.0.38.3332

=== debian/changelog ===
osmo-trx (1.0.0.38.3332) UNRELEASED; urgency=medium

  * Snapshot build

 -- Harald Welte <laforge@gnumonks.org>  Tue, 21 May 2019 02:34:28 +0000

osmo-trx (1.0.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * doc: examples: Add umtrx sample config
  * UHDDevice: Fix setup failure with LimeSuite > 18.04.1
  * examples: Set rt-prio 18 and print file basename
  * lms: Several improvements and compilation/runtime fixes
  * build: Add support for LimeSuite device backend
  * LMSDevice: Set correct values for Max{Tx,Rx}Gain
  * LMSDevice: Fix setup failure with LimeSuite > 18.04.1
  * lms: Makefile.am: Reorder params to fix link issue
  * lms: Check LPBFW to set is within supported range
  * debian: Add package osmo-trx-lms
  * contrib: Add systemd services for all backends
  * debian: Add cfg file examples for osmo-trx-{lms,uhd}
  * Add -V param to print version
  * lms: Allow values diff than 34dB to be set by setRxGain()
  * Use correct paths when installing example files
  * debian: Enable build of osmo-trx-lms
  * debian: Explicitly enable osmo-trx-uhd build
  * configure.ac: Fix typo in with-lms help string
  * vty: Fix typo in gpsdo clock reference type
  * configure.ac: Add --enable-werror option
  * Logger: Disable pthread cancel point inside Logger destructor
  * cosmetic: Fix trailing whitespace
  * radioInterface: forward errors from RadioDevice to Transceiver in recv path
  * lms: Return error on device read timeout
  * osmo-trx: Add osmo_signal to stop whole transceiver chain correctly on error
  * radioInterface: Fix variable storing integer return value
  * configure.ac: Specify default language as C++
  * UHHDDevice: Replace deprecated header uhd/utils/thread_priority.hpp
  * SigProcLib: Use available copyTo Vector API instead of memcopy
  * cosmetic: Fix trailing whitespace in several files
  * radioInterfaceMulti:pullBuffer: Sanely convert float array to complex array
  * Vector: Copy arrays in a sane way for non-trivially copyable types
  * jenkins.sh: Add --enable-werror flag to osmo-trx configure step
  * Install systemd services with autotools
  * Install sample cfg file to /etc/osmocom
  * cosmetic: Use proper whitespace in several for loops
  * Use pthread_setname_np to name threads
  * CommonLibs/Makefile.am: Specify libcommon_la_LIBADD
  * Transciever: Log values causing Tx underrun
  * examples: Use logging level 'set-all' instead of 'all'
  * jenkins.sh: Enable build of osmo-trx-lms
  * ChannelizerBase: Fix ASan alloc-dealloc-mismatch
  * UHDDevice: setRxGain on chan 0 when using multi-arfcn
  * lms: Use LimeSuite.h log level defines instead of hardcoded values
  * lms: Apply LMS->OSMO log level conversion
  * Introduce OsmoTRX manual
  * Introduce chapter trx_if.adoc and add it to OsmoTRX and OsmoBTS
  * trx: Add reference to project wiki page in overfiew section
  * trx: Add Hardware architecture support section
  * trx: Add Hardware device support section
  * osmotrx: Split Device specific section from backend one
  * osmotrx: Write initial documentation for several supported devices
  * osmotrx: configuration: Add section to document multi-arfcn feature
  * osmotrx: Create a common chapter for section documenting backends
  * osmotrx: Introduce code architecture chapter
  * lms: Fix start after stop of device
  * lms: Destroy streams on device stop
  * radioInterface: Fix memleak during close()
  * PointerFIFO: Fix memleak of ListNode
  * lms: Make sure LMS_Close is called when Device is torn down
  * osmo-trx: Change some lines to use libosmocore logging instead of cout
  * lms: Close device on LMS_Init failure
  * SigProcLib: Improve Vector buffer allocation mess
  * lms: Allow setting Tx/RxGain for chan!=0
  * lms: Allow setting Tx/RxFreq for lchan!=0
  * lms: Improve Set{Rx,Tx}{Gain,Freq} logging
  * transceiver: log chan on CTRL command received
  * Add TRXCTRL log category
  * transceiver: Log TRXCTRL iface responses towards osmo-bts-trx
  * lms: Move {under,over}run checks into separate method
  * lms: Do {under,over}run checks even if LMS_RecvStream fails
  * Timeval: passed() returns true if time is equal
  * Timeval: Move implementation to use clock_gettime and timespec
  * Timeval: Move to osmo_clock_gettime
  * TimevalTest: Make test deterministic with fake time
  * lms: Fix build against LimeSuite > 18.10
  * configure.ac: check boost only if USRP1 support is enabled

  [ Vadim Yanitskiy ]
  * trx_vty.c: fix: use CONFIG_NODE as parent by default
  * device/lms/LMSDevice.cpp: fix compilation warning
  * sigProcLib: introduce both TS1 and TS2 RACH synch. sequences
  * sigProcLib: add a CorrType for extended (11-bit) RACH

  [ Harald Welte ]
  * Initial work towards direct LimeSuite support in OsmoTRX
  * update .gitignore to include osmo-trx-lms
  * LMSDevice: Call LMS_Init() before setting sample rate
  * LMSDevice: Print sample rate range + actual sample rate after setting it
  * LMSDevice: Typo fix: s/Internal/External
  * LMSDevice: Set low-pass filters to smallest possible option
  * LMSDevice: Fix initial timestamp offset of 2500
  * LMS_Device: Set ts_offset to 0.
  * LMSDevice: Reduce Rx logging verbosity: Only log unexpected timestamps
  * move set_antennas() from UHD to generic radioDevice base class
  * lms: Fix support for rx_paths / tx_paths
  * lms: Call set_antennas() during open() method
  * radioDevice: Move tx_sps from derived into base class
  * radioDevice: better encapsulation in base class
  * lms: Fix coding style
  * lms: Fail in case of unsupported configuration
  * usrp1: Fail in case of unsupported configuration
  * Fix config file saving of {tx,rx}-path VTY config strings
  * logging: Introduce new "DDEV" category for device-specific code
  * update git-version-gen to generate proper version numbers
  * ensure well-formed example config files
  * SocketsTest.testReaderIP(): Zero terminate received buffer
  * trx_validate_config(): Fix validation of rx_sps
  * vty-ref: Update URI of docbook 5.0 schema


=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-uhd --with-usrp1
+	dh_auto_configure -- --with-uhd --with-usrp1 --with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_strip:
 	dh_strip --dbg-package=osmo-trx-dbg

## osmo-trx 1.2.0

=== debian/changelog ===
osmo-trx (1.2.0-2build4) jammy; urgency=medium

  * Rebuild against new libosmocore16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Mar 2022 02:56:48 +0100

osmo-trx (1.2.0-2build3) jammy; urgency=medium

  * No-change rebuild against libosmocore18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:07:40 +0000

osmo-trx (1.2.0-2build2) jammy; urgency=medium

  * No-change rebuild against libuhd4.1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Jan 2022 14:04:04 +0000

osmo-trx (1.2.0-2build1) hirsute; urgency=medium

  * No-change rebuild for limesuite soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Jan 2021 10:38:07 +0100

osmo-trx (1.2.0-2) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971493)
  * debian/rules: build with LimeSDR support (Closes: #913198)
  * debian/control: add dependency liblimesuite-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Dec 2020 18:19:19 +0100

osmo-trx (1.2.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/control: depend on libosmocore >=1.4.0
  * remove all patches that are applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Aug 2020 21:19:19 +0000

osmo-trx (0.4.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 06 Nov 2018 21:55:48 +0100

osmo-trx (0.4.0-1~exp4) experimental; urgency=medium

  * debian/examples/osmo-trx-uhd.cfg: Simplify default configuration file
  * debian/tests: Fix erroneous path in autopkgtest

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 13:59:16 +0200

osmo-trx (0.4.0-1~exp3) experimental; urgency=medium

  * Update man page
  * Install systemd service file, but do not automatically start it
  * Install /etc/osmocom/osmo-trx-uhd.cfg example configuration file
  * debian/control:
    - New standards version 4.2.1 - no changes
    - Suggests osmo-bts
  * debian/rules:
    - Make .tarball-version in override_dh_autoreconf and delete in
      override_dh_clean

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 13:49:46 +0200

osmo-trx (0.4.0-1~exp2) experimental; urgency=medium

  * debian/control:
    - Fix build-dependencies because of FTBFS

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 21 Jul 2018 00:28:18 +0200

osmo-trx (0.4.0-1~exp1) experimental; urgency=medium

  * New upstream release:
    - Dropped patch: 02_no_march_native.patch
    - Added patches: 0001-Do-not-include-.rbf-files.patch
                     0002-Fix-spelling-discovered-by-lintian.patch
  * Binary executable change name from osmo-trx to osmo-trx-uhd:
    These files updated because of that:
    - debian/autotest/autotest
    - debian/osmo-trx-uhd.1
    - debian/osmo-trx.manpages
  * debian/control:
    - New standards version 4.1.5 - no changes
    - Drop "Testsuite: autopkgtest" - handled automatically now
  * debian/copyright:
    - Copyright updated for new upstream release
  * debian/rules:
    - Delete two test related files in override_dh_auto_clean
    - Handle "override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS"
    - No need to delete "sqlite3/Makefile" anymore

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 20 Jul 2018 21:31:46 +0200

=== debian/control ===
Source: osmo-trx
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
	, Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 12),
               pkg-config,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-dev,
               libboost-system-dev,
               libosmocore-dev (>= 1.4.0),
               libfftw3-dev,
               liblimesuite-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-trx
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-trx.git
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoTRX

Package: osmo-trx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: osmo-bts
Description: SDR transceiver that implements Layer 1 of a GSM BTS
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

## osmo-trx 1.2.0.16.0569

=== debian/changelog ===
osmo-trx (1.2.0.16.0569) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 05 Feb 2020 02:06:32 +0000

osmo-trx (1.2.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * osmo-trx: log to stderr on signal received
  * Drop old setPriority related code
  * Transceiver: fix segfault during init if IP addr binding fails
  * Transceiver: Check return value when binding IP addr for clock socket
  * Transceiver: Clean up receival of downlink bursts
  * Transceiver: Fix idle ul burst indications being dropped
  * Transceiver: exit process when BTS drops connection
  * Transceiver: Enable EDGE detection only on PDCH timeslots
  * lms: Log available antennas if requested antenna fails
  * device: Use LOGCHAN in set_antennas()
  * Transceiver: Fix logging TN and version
  * Transceiver: Use LOGCHAN in logRxBurst to unify log format
  * Transceiver: Log error condition no burst in pullRadioVector()
  * Transceiver: pullRadioVector(): Fix use of uninitialized value bi->tn
  * Transceiver: Don't stop TRX if pulling from OFF timeslot
  * radioInterface: Rename mRadio to mDevice
  * radioInterfaceMulti: Check equals zero explicitly
  * USRPDevice: Fix setRxGain return on error and getRxGain() returning always 0
  * USRPDevice: Return previous txGain if setting value failed
  * LMSDevice: Return previous txGain/rxGain if setting value failed
  * radioInterface: Remove unusued getRxGain()
  * radioDevice: Introduce getTxGain() API
  * radioInterfaceMulti: Override setTxGain() to avoid chan!=0 calls
  * UHDDevice: Drop unneeded MULTI_ARFCN checks
  * radioInterface{Multi,Resamp}: Fix successful writeSamples() masking underrun from readSamples()
  * radioInterface: Mark setRxGain as virtual
  * Move multi-ARFCN chan amount modification from UHDDevice to parent class
  * radioInterface: Atomically fetch and change underrun variable
  * radioInterfaceMulti: write frequency offset direction (rx/tx) in log line
  * Use new libosmocore logging lock API
  * Transceiver: Fix wrong response upon CMD HANDOVER failure
  * uhd: use value already cached in tmp variable
  * Transceiver.cpp: Introduce and use new logging categories

  [ Timo Jacobus ]
  * Transceiver: Fixed copying of history into and from channelizer buffer.

  [ Alexander Chemeris ]
  * vty: Don't enable random filler bursts automatically with EDGE.
  * vty: Simplify filler burst settings and improve help and readability.

  [ Martin Hauke ]
  * Fix common misspellings and typos

  [ Harald Welte ]
  * trx: exit() on unsupported positional arguments on command line

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Fri, 03 Jan 2020 19:54:00 +0100

osmo-trx (1.1.1) unstable; urgency=medium

  * UNRELEASED

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 08 Aug 2019 13:00:05 +0200

osmo-trx (1.1.0) unstable; urgency=medium

  [ Sylvain Munaut ]
  * arm/convolve: Fix the vfp4 real convolution for h_len=12
  * convolve: Remove support for step, offset parameters
  * tests: Rework the convolve_test
  * tests: Re-enable the convolve_test by default
  * sigProcLib: Add C/I (Carrier-to-Interference ratio) computation

  [ Vadim Yanitskiy ]
  * VTY: add extended (11-bit) RACH detection toggle
  * doc/configuration.adoc: fix incorrect number of physical RF channels for B210
  * driveTxPriorityQueue(): cosmetic: use proper type for TDMA TN
  * driveTxPriorityQueue(): use trxd_hdr_common for message parsing
  * driveTxPriorityQueue(): check if message header format is supported
  * driveTxPriorityQueue(): enrich logging message
  * trxd_fill_common(): fix TRXD header version coding
  * manuals/configuration.adoc: fix copy-paste error in config example

  [ Pau Espin Pedrol ]
  * osmo-trx: Avoid handling signals after shutdown triggered
  * osmo-trx: Use signalfd to serialize signals in main thread ctx
  * osmo-trx: Check return code of osmo_fd_register
  * lms: flush_recv: alloc buf on stack instead of heap
  * lms: Improve log during flush recv error
  * cosmetic: Threads.h: Remove trailing whitespace
  * Move duplicated thread_enable_cancel to CommonLibs
  * lms: Log underrun/overrun events
  * lms: Remove references to ALERT loglevel
  * lms: Remove unused var m_last_tx_overruns
  * lms: Catch and log dropped packets by HW during recv
  * cosmetic: uhd: Move smpl_buf out of UHDDevice, move UHDDevice class definition to .h
  * uhd: smpl_buf: Drop UHD specifics out back to UHDDevice
  * uhd: smpl_buf: Use TIMESTAMP type in str_status
  * cosmetic: uhd: Use loglevel ERROR instead of ERR
  * uhd: Avoid reallocation of buffers every read
  * Move smpl_buf out of uhd dir to re-use it in other devices
  * device: Drop unused numberRead/numberWritten APIs
  * smpl_buf: Remove unused clk_rt variable
  * smpl_buf: Remove unused clk_rt variable (fixup)
  * smpl_buf: Remove dbg log line with duplicated info
  * Introduce LOGCHAN macro to standarize logging channel info
  * smpl_buf: Move it to device/common and create libdevice_common.la
  * lms: Use smpl_buf to recover from timestamp jumps
  * lms: Fix stream_stats checks with droppedPackets
  * Add rate_ctr support to store/retrieve SDR errors through VTY
  * Rename and move STOP signal from Transceiver to main
  * doc: vty: Update trx_vty_reference.xml
  * lms: Drop unusued variable masterClockRate
  * lms: Fix stream_stats checks with overrun/underrun
  * Add VTY commands to set error ctr thresholds
  * Remove AUTHORS file
  * trx_{vty,rate_ctr}: Set proper license AGPLv3+
  * Introduce structs to encode TRXD packets
  * Transceiver: refactor: gather uplink burst parameters in struct
  * Transceiver: Drop unused rssi_valid struct field
  * Transceiver: Move nbits burst size calculation to pullRadioVector()
  * Transceiver: Move calculation of normalized values (rssiOffset) to pullRadioVector()
  * Transceiver: Move soft bits normalization to pullRadioVector()
  * Transceiver: Drop use of GSM::Time from trx_ul_burst_ind


=== debian/control ===
Source: osmo-trx
Section: net
Priority: optional
Maintainer: Ivan Klyuchnikov <ivan.kluchnikov@fairwaves.ru>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               autoconf-archive,
               pkg-config,
               dh-autoreconf,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-all-dev,
               libfftw3-dev,
               libtalloc-dev,
               libusrp-dev,
               liblimesuite-dev,
               libosmocore-dev (>= 1.3.0),
               osmo-gsm-manuals-dev
Standards-Version: 3.9.6
Vcs-Browser: http://cgit.osmocom.org/osmo-trx
Vcs-Git: git://git.osmocom.org/osmo-trx
Homepage: https://projects.osmocom.org/projects/osmotrx

Package: osmo-trx
Depends: osmocom-nightly, osmo-trx-uhd
Architecture: all
Description: Metapackage for osmo-trx-uhd

Package: osmo-trx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-nightly, osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-trx-*
 Make debugging possible

Package: osmo-trx-uhd
Architecture: any
Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-usrp1
Architecture: any
Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-lms
Architecture: any
Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-nightly, ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

## osmo-trx 1.2.0.17.71f002

=== debian/changelog ===
osmo-trx (1.2.0.17.71f002) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Sun, 09 Feb 2020 01:29:53 +0000

## osmo-trx 1.2.0.20.9370

=== debian/changelog ===
osmo-trx (1.2.0.20.9370) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:28:53 +0000

## osmo-trx 1.2.0.21.3f55

=== debian/changelog ===
osmo-trx (1.2.0.21.3f55) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:28:57 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                libfftw3-dev,
                libtalloc-dev,
                libusrp-dev,
-               liblimesuite-dev,
                libosmocore-dev (>= 1.3.0),
                osmo-gsm-manuals-dev
 Standards-Version: 3.9.6
@@ -30,7 +29,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly, osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly, osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
@@ -72,25 +71,6 @@
  between different telecommunication associations for developing new
  generations of mobile phone networks. (post-2G/GSM)
 
-Package: osmo-trx-lms
-Architecture: any
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
-Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
- OsmoTRX is a software-defined radio transceiver that implements the Layer 1
- physical layer of a BTS comprising the following 3GPP specifications:
- .
- TS 05.01 "Physical layer on the radio path"
- TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
- TS 05.04 "Modulation"
- TS 05.10 "Radio subsystem synchronization"
- .
- In this context, BTS is "Base transceiver station". It's the stations that
- connect mobile phones to the mobile network.
- .
- 3GPP is the "3rd Generation Partnership Project" which is the collaboration
- between different telecommunication associations for developing new
- generations of mobile phone networks. (post-2G/GSM)
-
 Package: osmo-trx-doc
 Architecture: all
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_configure:
	dh_auto_configure -- --with-uhd --with-usrp1 --with-systemdsystemunitdir=/lib/systemd/system --enable-manuals

override_dh_strip:
	dh_strip --dbg-package=osmo-trx-dbg

# Don't create .pdf.gz files (barely saves space and they can't be opened directly by most pdf readers)
override_dh_compress:
	dh_compress -X.pdf
